implicit real*8(a-h, o-z)
akyo=3.33d0 !教育活動の点数
aken=3.0d0 !研究活動の点数
akou=3.0d0 !社会貢献の点数
akok=0.0d0 !国際活動の点数
akan=4.0d0 !管理運営の点数
saidai=0.d0
do kyo=15, 35!最低0.15から最大0.35まで重みを変化
do ken=15, 35!最低0.15から最大0.35まで重みを変化
do kou=5, 15!最低0.05から最大0.15まで重みを変化
do kok=0, 20!最低0.0から最大0.2まで重みを変化
do kan=10, 30!最低0.1から最大0.3まで重みを変化
okyo=real(kyo)/100.d0
oken=real(ken)/100.d0
okou=real(kou)/100.d0
okok=real(kok)/100.d0
okan=real(kan)/100.d0
okei=okyo+oken+okou+okok+okan
if((0.999d0<okei).and.(okei<1.001d0)) then
   saidai2=okyo*akyo+oken*aken+okou*akou+okok*akok+okan*akan
   if(saidai2>saidai) then
    saidai=saidai2
    pkyo=okyo
    pken=oken
    pkou=okou
    pkok=okok
    pkan=okan
    print*,pkyo,pken,pkou,pkok,pkan, saidai2
   end if
end if
end do
end do
end do
end do
end do
print*,'教育：',pkyo,'*',akyo,'=' , pkyo*akyo
print*,'研究：',pken,'*',aken,'=' , pken*aken
print*,'社会：',pkou,'*',akou,'=' , pkou*akou
print*,'国際：',pkok,'*',akok,'=' , pkok*akok
print*,'管理：',pkan,'*',akan,'=' , pkan*akan
print*,'合計：',saidai
end

